Subject: Re: [PATCH] po/pl.po: Eliminate fuzzy translations

From: Jakub Narebski <[email-masked]>
Date: Sat, 8 Oct 2011 00:11:14 +0200

On Tue, 4 Oct 2011, Zbigniew Jędrzejewski-Szmek wrote:
> On 10/03/2011 11:37 PM, Jakub Narebski wrote:
>>
>> +# Terminologia dla kluczowych terminów z Subversion:

As I probably should write in the commit message, this terminology
is taken directly from Subversion's po/pl.po file.  Subversion has
IMHO quite good Polish translation.

On the other hand no other *.po file in Git has glossary in
comments...

>> +# path - ścieżka
>> +# URL - URL
>> +# file - plik
>> +# directory - katalog
>> +# update - aktualizacja
>> +# commit - zatwierdzenie, zatwierdzenie zmian
>
> This seems kind of awkward. E.g. 'initial commit' would become 
> 'początkowe zatwierdzenie zmian' or 'pierwsze zatwierdzenie', which just 
> doesn't sound right. What about starting with the mercurial term 
> 'changeset'? Git users also use 'commit' to mean 'change', so maybe
> the polish translation of this crucial term should be 'zmiana':
> 'initial commit' -- 'początkowa zmiana' or 'pierwsza zmiana'
> 'commit message' -- 'opis zmiany'

The problem is that "commit" might be a verb ('to commit'), where I think
"zatwierdzenie zmian" is a good translation, and "commit" might also be
used as a noun ('a commit'), where I think it should be probably translated
as "wersja" (eng. version) or "zmiana" (eng. change).

Nb. it is a good idea to take into account existing Mercurial translation
into Polish.
 
>> +# version control - zarządzanie wersjami
>> +# repository - repozytorium
>> +# branch - odgałęzienie
>
> 'gałąź'? I think that's the translation which is used in informal 
> conversations.

"Odgałęzienie" is what Subversion uses, but you are right that "gałąź"
might be better.  Though in this case the glossary cannot be marked
as coming from Subversion...
 
>> +# tag - tag
>
> 'metka', 'etykieta' according to the dictionary. I'm aware of 'metka'
> being used in CS anywhere, but it is short, and pretty cool, IMO.

I think that "etykieta" (eng. label) has already established different
meaning in Polish computer terminology for a "goto label".

"Metka" might be a good solution (it is mainly used in Polish to mean
textile labels), though I wonder if using English term "tag" (which
in Polish is used in computer science to mean metadata tag or markup
language tag) wouldn't be better as it is already computer term.
 
>> +# merge - łączenie zmian
>
> 'łączenie gałęzi'?

Well, in Subversion it is about merging changes, not branches ;-)))
 
>> +# conflict - konflikt
>> +# property - atrybut
>> +# revision - wersja
>> +# log message - opis zmian
>> +# entry/item - element
>> +# ancestry - pochodzenie
>> +# ancestor - przodek
>> +# working copy - kopia robocza
>> +# working dir - bieżący katalog
>> +# usage - wykorzystanie
>
> 'użycie', 'wywołanie'?
> E.g. 'standardowe wywołanie tego programu to: prog arg'

I'd have to check how other programs translate this.  I think
at least "usage: " in '-h' output is translated as "użycie: ",
though I am not sure if it is really a good translation to recommend.
 
>> +# source - źródłowy
>> +# destination - docelowy
>> +# hook - skrypt (skrypt repozytorium)
>> +# exclude - wykluczyć
>> +# crop - obciąć
>> +# cache - pamięć podręczna
>> +# child - obiekt podrzędny
>
> Standard CS term is 'ojciec' and 'syn' for 'parent/child'.

Right.
 
>> +# obliteration - obliteracja
>
> 'wymazanie'?

Well, anyway I don't think this is needed for git translation.
 
>> +# patch - łata
>> +# notes - adnotacja

-- 
Jakub Narebski
Poland